%mov = avifile('example2.avi')
%close all;
ix=7;  % this is the x axis variable
iy=20;  % this is the y axis variable

%  1 is ncount
%  2 is j+1
%  6 is time
%  7 is r(j)
% 10 is v(n,j+1), density [g/cc]
% 11 is U(n,j), particle velocity [cm/us]
% 12 is P(n,j+1) [Mbar] but it might be converted to [GPa]
% 13 is rho(j+1)
% 14 is E(n,j+1) Mbar/cc, this is in the code as e(n+2,j+1)
% 15 is q(n,j+1) artifical viscosity [Mbar]
% 16 s1
% 17 s2
% 18 k(n,j+1)
% 19 diffE
% 20 is bs9 Stress = s1-P [Mbar]
% 21 is Temperature [K]
% 22 is entropy
% 23 is sigmar (total normal stress)
tracer = 1020;  %200 240
              % tracer is ignored if iplot=1
jj     =1510; 

iplot = 1; %(1) for movie and (2) for xy-plot

%%%%%%%%%%%%%%%%%%%%%%%%  User do not change these variables %%%%%%%%%%%%%%%%%%%%%%%%%
itracer=tracer/2+1; %1700 2200 half the number of nodes jj/2+1
itotal=jj/2-1; %number of lagraian points (i.e. set this equal to parameter jj/2-1)
n=10000; %  length(ko)/(jj-4/2);  % this is the number of frames to plot nn/iskip
k=0; % initalize the dummy index variable
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if iy==12 
     convert=1;     % this leaves the pressure in Mbar
%    convert=100;  %this converts the pressure from Mbar to Gpa
%   convert=1000; %this converts the pressure from Mbar to kbar
elseif iy==20
%    convert=1;
%    convert=100;  %this converts the pressure from Mbar to Gpa
   convert=1000; %this converts the pressure from Mbar to kbar
%     convert=1;
else
    convert=1;
end
%if ix==10
%    v0=0.4545;
%else
%    v0=1.0;
%end 
for i = 1:n
    i;
    k=k+1;
    
if iplot == 1 % movie
   %this is for all the tracers points
    figure(1),plot(ko((i-1)*itotal+1:i*itotal,ix),-convert*ko((i-1)*itotal+1:i*itotal,iy),'.')
   %plot(ko((i-1)*itotal+1:i*itotal,ix),ko((i-1)*itotal+1:i*itotal,iy),'.')
   %F = getframe;
   %mov=addframe(mov,F)
%   axis([-1.5 2.5 -80. 80.])  % pressure limits
   pause(0.0001)
%    if i==1 
%       hold
%    end
elseif iplot == 2 % xyplot

   %this is for single tracer point
   %plot(kool((i-1)*itotal+itracer:(i-1)*itotal+itracer,ix),kool((i-1)*itotal+itracer:(i-1)*itotal+itracer,iy),'.')
   if iy==1
    % figure(1),plot(ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,ix),convert*sqrt(ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,12)/ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,13)),'.')
   else
    figure(2),plot(ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,ix),convert*ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,iy),'.-k')
   end
    data(k,1)=ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,ix);
    data(k,2)=ko((i-1)*itotal+itracer:(i-1)*itotal+itracer,iy)*convert;
   if i==1 
     hold
   end
else
    ans='iplot should be 1 or 2'
%    pause
end    
%   AXIS MANUAL    
%AXIS([-15. 125 -.1 .4])  % velocity limits
%AXIS([-1.0 1. -25. 25.])  % volume limits
%AXIS([-1.5 25])  % volume limits
%AXIS([-150 50 0 0.1])  % volume limits
%AXIS([-0 1e-4 1.15e-3 2.15e-3])  % volume limits
%pause(1.00)
end
%mov=close(mov)
